#include "HardwareInfo.c"
#include "JMLib.c"
#include <SetDisplayStr.h>
#include <GetBTModuleRemoteButton.h>
#include <GetBTModuleRemoteRocker.h>
#include <SetDisplayVar.h>

int main(void)
{
    E6RCU_Init();
    long var0 = 0;
    long var1 = 0;
    long var2 = 0;
    long var3 = 0;
    SetDisplayStr(0, 0, "À¶ÑÀÊÖ±úÒ¡¸Ë", YELLOW, BLACK);
    SetDisplayStr(0, 16, "×óXÖá", YELLOW, BLACK);
    SetDisplayStr(0, 32, "×óYÖá", YELLOW, BLACK);
    SetDisplayStr(0, 48, "ÓÒXÖá", YELLOW, BLACK);
    SetDisplayStr(0, 64, "ÓÒYÖá", YELLOW, BLACK);
    while (1)
    {
        var1 = GetBTModuleRemoteButton();
        var0 = GetBTModuleRemoteRocker(0, 0);
        var1 = GetBTModuleRemoteRocker(0, 1);
        var2 = GetBTModuleRemoteRocker(1, 0);
        var3 = GetBTModuleRemoteRocker(1, 1);
        SetDisplayVar(2, var0, YELLOW, BLACK);
        SetDisplayVar(3, var1, YELLOW, BLACK);
        SetDisplayVar(4, var2, YELLOW, BLACK);
        SetDisplayVar(5, var3, YELLOW, BLACK);
    }
    while(1);
}

